Description

With QGIS 3.6, From Raster > Projections > Warp (Reproject), the dialog has a few options with a few of the defaults set in.

Source CRS is optional, and the first option is blank. This is appropriate: gdalwarp does not require `-s_srs`, and does not have a default.

However in this dialog, Target CRS has no blank option to choose, and has a default `EPSG:4326` (??). Note that the command-line tool

gdalwarp does not require `-t_srs`. Therefore it is suggested to add a blank option at the top, and make this the default.

Everything else in this dialog looks sufficient, e.g. the default nearest neighbour resample method (`-r near`) is correct.

A work-around is to copy the `gdalwarp ...` console call at the bottom of the dialog, edit it to remove `-t_srs EPSG:4326 `, and run this

command manually.

History

#1 - 2019-03-13 11:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

However in this dialog, Target CRS has no blank option to choose, and has a default `EPSG:4326` (??). Note that the command-line tool gdalwarp

does not require `-t_srs`. Therefore it is suggested to add a blank option at the top, and make this the default.

sorry for the naive question, but if no t_srs is set, then in what CRS the input is being reprojected?

#2 - 2019-03-13 08:56 PM - Mike Taves

Giovanni Manghi wrote:

sorry for the naive question, but if no t_srs is set, then in what CRS the input is being reprojected?

Fair question. In this case the raster CRS is not changed. A typical user-case for this instance is to resample a raster at a different grid resolution, e.g. to

warp a 10x10 m DEM to a 100x100 m DEM using average resample method (`-r average`).

#3 - 2019-03-14 01:03 PM - Giovanni Manghi

- Assignee set to Giovanni Manghi

- Status changed from Feedback to Open

- Subject changed from Warp (Reproject) tool: remove default Target CRS to GDAL Warp (Reproject) tool: make the target CRS parameter optional

- Tracker changed from Bug report to Feature request
